Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class UserPersonalRelyingPartyDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.UserPersonalRelyingPartyDO

    public class UserPersonalRelyingPartyDO

extends AbstractDataObject

Constructor Summary
`UserPersonalRelyingPartyDO()`

Method Summary
`java.lang.String` | `getAlias()`
`UserPersonalRelyingPartyIdentifier` | `getIdentifier()`
`java.util.Set` | `getPpidValues()`
`java.lang.String` | `getStoreName()`
`void` | `setAlias(java.lang.String alias)`
`void` | `setIdentifier(UserPersonalRelyingPartyIdentifier identifier)`
`void` | `setPpidValues(java.util.Set ppidValues)`
`void` | `setStoreName(java.lang.String storeName)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPersonalRelyingPartyDO

    public UserPersonalRelyingPartyDO()

Method Detail

### getPpidValues

    public java.util.Set getPpidValues()

### setPpidValues

    public void setPpidValues(java.util.Set ppidValues)

### getStoreName

    public java.lang.String getStoreName()

### setStoreName

    public void setStoreName(java.lang.String storeName)

### getAlias

    public java.lang.String getAlias()

### setAlias

    public void setAlias(java.lang.String alias)

### getIdentifier

    public UserPersonalRelyingPartyIdentifier getIdentifier()

### setIdentifier

    public void setIdentifier(UserPersonalRelyingPartyIdentifier identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD